package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazCountMonMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazCountMon;
import com.goldenwater.slaj.hazard.service.ITBusiHazCountMonService;

/**
 * 危险源月度统计 服务层实现
 */
@Service
public class TBusiHazCountMonServiceImpl implements ITBusiHazCountMonService {

    @Autowired
    private TBusiHazCountMonMapper tBusiHazCountMonMapper;

    /**
     * 查询危险源月度统计信息
     * @param guid 查询条件
     * @return 危险源月度统计信息
     */
    @Override
    public TBusiHazCountMon selectTBusiHazCountMonByGuid(String guid) {
        return tBusiHazCountMonMapper.selectTBusiHazCountMonByGuid(guid);
    }

    /**
     * 查询危险源月度统计列表
     * @param tBusiHazCountMon 危险源月度统计查询条件
     * @return 危险源月度统计集合
     */
    @Override
    public List<TBusiHazCountMon> selectTBusiHazCountMonList(TBusiHazCountMon tBusiHazCountMon) {
        return tBusiHazCountMonMapper.selectTBusiHazCountMonList(tBusiHazCountMon);
    }

    /**
     * 新增危险源月度统计
     * @param tBusiHazCountMon 危险源月度统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazCountMon(TBusiHazCountMon tBusiHazCountMon) {
        return tBusiHazCountMonMapper.insertTBusiHazCountMon(tBusiHazCountMon);
    }

    /**
     * 修改危险源月度统计
     * @param tBusiHazCountMon 危险源月度统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazCountMon(TBusiHazCountMon tBusiHazCountMon) {
        return tBusiHazCountMonMapper.updateTBusiHazCountMon(tBusiHazCountMon);
    }

    /**
     * 删除危险源月度统计
     * @param guid 危险源月度统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazCountMonByGuid(String guid) {
        return tBusiHazCountMonMapper.deleteTBusiHazCountMonByGuid(guid);
    }

    /**
     * 批量删除危险源月度统计
     * @param guids 危险源月度统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazCountMonByGuids(String[] guids) {
        return tBusiHazCountMonMapper.deleteTBusiHazCountMonByGuids(guids);
    }
}
